/**************************************************************************
 * Source Id :
 *
 * $Id: dcdefs.h,v 1.1 2001/04/03 20:10:26 aleksandras Exp $
 *-------------------------------------------------------------------------
 * Project Notes :
 *
 *  Diamond Base
 *  ============
 *      A solid database implementation, spurred on by the continuing
 *  Metal (Lead) Base saga.
 *
 *  Project Team :
 *        A. Davison
 *        K. Lentin
 *        D. Platt
 *
 *	Project Commenced : 05-02-1993
 *
 *-------------------------------------------------------------------------
 *  Module Notes :
 *  Definitions shared between server and client in multi-db
 *  Original Author : daz.
 *
 **************************************************************************/

#ifndef __DB_DCDEFS_H__
#define __DB_DCDEFS_H__

#include <diamond/defs.h>
#define ATTACH_CHANNEL 2
#define BASE_REQ 100000l
#define BASE_RESP 200000l
#define MAX_TRANS_AREA 4096

enum {GIB_OK=0,GIB_MEMRESIZE=1};

//
// Version information:
const char serverVersion[] = "0.1 alpha";
const int32 serverProtocol = 11; // Start at 10 and work upwards.

#endif

///////////////////////////////////////////////////////////////////////////
// Revision History:
//
// $Log: dcdefs.h,v $
// Revision 1.1  2001/04/03 20:10:26  aleksandras
// big one 3.1 (comments later)
//
// Revision 1.7  1996/01/30  21:43:05  dmb
// Added mem resize defs, changed version numbers.
//
// Revision 1.6  1994/09/09  08:50:46  darrenp
// Updates to new version of engine for 0.3 release.
//
// Revision 1.5  1994/02/03  05:54:19  kevinl
// Moved include files to diamond/ and fixed HAVE_MALLOC_H
//
// Revision 1.4  1993/11/05  13:46:57  kevinl
// Protocol and fixes
//
// Revision 1.3  1993/10/24  14:38:26  darrenp
// SunOS fixes, big endian fixes, bug fixes.
//
// Revision 1.2  1993/07/21  14:25:42  daz
// *** empty log message ***
//
// Revision 1.1  1993/07/04  12:31:35  daz
// Initial revision
//
// Revision 1.1  1993/07/04  02:21:13  daz
// Initial revision
//
///////////////////////////////////////////////////////////////////////////
