/**************************************************************************
 * Source Id :
 *
 * $Id: marshal.h,v 1.1 2001/04/03 20:10:26 aleksandras Exp $
 *-------------------------------------------------------------------------
 * Project Notes :
 *
 *  Diamond Base
 *  ============
 *      A solid database implementation, spurred on by the continuing
 *  Metal (Lead) Base saga.
 *
 *  Project Team :
 *        A. Davison
 *        K. Lentin
 *        D. Platt
 *
 *	Project Commenced : 05-02-1993
 *
 *-------------------------------------------------------------------------
 *  Module Notes :
 *
 *    Marshaling of relations for transport over client/server
 *
 *
 *  Original Author : daz/kev
 *
 **************************************************************************/

#ifndef MARSHAL_INCL
#define MARSHAL_INCL

#include <diamond/object.h>

size_t marshalSpaceRequired(const DIA_object *theObj);
void marshalObject(const DIA_object *theObj,char *data);
void unmarshalObject(DIA_object *theObj,const char *data);
#endif
