/////////////////////////////////////////////////////////////////////////////
// Name:        build.h
// Purpose:     wxWorkshop build information (program name, version, date, number, etc)
// Author:      George Tasker
// Modified by:
// Created:     01/05/2001
// RCS-ID:      $Id: mimetypes.h,v 1.3 2001/01/11 11:22:19 aleksandras Exp $
// Copyright:   (c)
// Licence:     wxWindows licence
/////////////////////////////////////////////////////////////////////////////

#ifndef _MIMETYPES_G_
#define _MIMETYPES_G_

#ifdef __GNUG__
    #pragma interface "mimetypes.h"
#endif

// MIME types for document templates
char * const 	wxwMIME_WORKPLACE           = "text/x-my-wxStudio-workplace";
char * const 	wxwMIME_PROJECT             = "";  // type is EMPTY string to allow autodetection of concrete type upon loading of the document
char * const 	wxwMIME_PLAIN_TEXT          = "text/plain";
char * const 	wxwMIME_WX_RESOURCE         = "text/x-wx-resource";
char * const 	wxwMIME_WIDGET_RESOURCE     = "text/x-widget-resource";
char * const 	wxwMIME_BITMAP_RESOURCE     = "text/x-bitmap-resource";
char * const 	wxwMIME_MENUBAR_RESOURCE    = "text/x-menubar-resource";
char * const 	wxwMIME_WIDGET_LOOK         = "text/x-widget-look";
char * const 	wxwMIME_HTML                = "text/html";
char * const 	wxwMIME_HTM                 = "text/htm";
char * const 	wxwMIME_C_HEADER            = "text/x-h";
char * const 	wxwMIME_CPP_SOURCE          = "text/x-cpp";
char * const 	wxwMIME_C_SOURCE            = "text/x-c";
char * const 	wxwMIME_JAVA                = "text/java";
char * const 	wxwMIME_PYTHON              = "text/x-python";
char * const 	wxwMIME_CPP_PROJECT         = "text/x-my-wxStudio-project";

// Default extensions for documents
char * const 	wxwEXT_WORKPLACE           = "wsw";
char * const 	wxwEXT_PROJECT             = "wsp";
char * const 	wxwEXT_PLAIN_TEXT          = "txt";
char * const 	wxwEXT_WX_RESOURCE         = "xrc";
char * const 	wxwEXT_WIDGET_RESOURCE     = "xxx";
char * const 	wxwEXT_BITMAP_RESOURCE     = "xxx";
char * const 	wxwEXT_MENUBAR_RESOURCE    = "xxx";
char * const 	wxwEXT_WIDGET_LOOK         = "wlk";
char * const 	wxwEXT_HTML                = "html;htm;sgml";
char * const 	wxwEXT_HTM                 = "htm;html;sgml";
char * const 	wxwEXT_C_HEADER            = "h;hpp";
char * const 	wxwEXT_CPP_SOURCE          = "cpp;c;C";
char * const 	wxwEXT_C_SOURCE            = "c;C";
char * const 	wxwEXT_JAVA                = "java";
char * const 	wxwEXT_PYTHON              = "py";
char * const 	wxwEXT_CPP_PROJECT         = "wsp";







#endif // __MIMETYPES_G__
