/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: labeleditdlg.h,v 1.5 2001/04/04 12:42:37 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __LABELEDITDLG_G__
#define __LABELEDITDLG_G__

#include "wx/dialog.h"

class LabelEditDlg : public wxDialog
{
public:
	LabelEditDlg( wxWindow* parent, 
				  const wxString& dialogTitle,
		        const wxString& labelTitle,
				  const wxString& labelValue,
				  const wxString& nameTitle,
				  const wxString& nameValue,
				  bool showLabel = TRUE,
				  bool selectAll = TRUE );

	wxString GetItemName();
	wxString GetItemLabel();
protected:
	wxTextCtrl* mpName;
	wxTextCtrl* mpLabel;
};

#endif // __LABELEDITDLG_G__
